Product Lifecycle Management

by
Odoo
v 14.0 Third Party 11914
Download for v 14.0 Deploy on Odoo.sh
Required Apps Manufacturing (mrp)
Inventory (stock)
Lines of code 9166
Technical Name plm
LicenseAGPL-3
Websitehttps://www.omniasolutions.website
Also available in version v 12.0 v 7.0 v 11.0 v 10.0 v 6.1 v 9.0 v 8.0 v 13.0
You bought this module and need support? Click here!
Required Apps Manufacturing (mrp)
Inventory (stock)
Lines of code 9166
Technical Name plm
LicenseAGPL-3
Websitehttps://www.omniasolutions.website
Also available in version v 12.0 v 7.0 v 11.0 v 10.0 v 6.1 v 9.0 v 8.0 v 13.0

Product LifeCycle Management

Integrates CAD Packages into Odoo, extending product, B.O.M and document capability.

The module is developed and maintained by OmniaSolutions, Further information at www.omniasolutions.website

This application enables a group of people to intelligently and efficiently manage 3D Models and 2D Drawings, directly from CAD editors. Helps to share 2D documents using PDF embedded. Puts your engineering decisions, models and drawings into Odoo.

It helps to work on Concurrent Engineering managing access policies on documents. Moreover, it adds many reports and views on Bill of Materials or related to them.

Start your free trial

CAD Integrations

Fully Integrated on main commercial CAD/CAE Packages with a menu of commands.
Allows to assign Product informations to 3D Models / 2D Drawings, reads the BoM directly from graphic hierarchy structure.

SolidWorks

ThinkDesign

Solid Edge

AutoCad

Inventor

Full Cad search view

Allows you to search product inside the Cad application, giving you a powerfull searching tool.

  • Search on product
  • Search on Exploded Bom
  • Search on Imploded Bom
  • Search Check-out Document
  • Open different versions of the same product
  • Froze assembly into a separete folder
  • Immediate preview
  • Product Linked Documents

Product LifeCycle Management

Manages fundamental revisions of Products and Documents. Integrates CAD Packages into Odoo extending product revision and B.O.M. capability. Allows to manage LifeCycle of Products and Documents, integrating it with standard Workflow tools.
Helps to describe history of changes maintaining BoM through revisions.

Old Revision

ECR-ECO

New Revision

Odoo Improvments

Product Kanban View

  • Kanban View with Document Icons
  • Revision Index
  • Revision Status
  • Revision WorkFlow
  • Fast build in actions for printing
  • Fast build in actions for exploring boms

Document View with tumbnails

BoM Enhancements

Implements several special BoM reports. BoMs can be printed with different styles: One Level, All Levels, Only Leaves.
Comparing BoMs helps to understand differences between them.

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
There are no ratings yet!
by
AYSP
on 12/27/20, 4:21 AM

This error occurred when I installed. The odoo version is the latest. Local installation or odoo.sh installation is the same result.


Dear AYSP
by
OMNIA SOLUTIONS S.n.c. di Boscolo Matteo & C.
on 12/18/20, 7:16 AM

We check it but we are not able to reproduce the problem you are reporting.

can you give us more deteils ?


regards


Error
by
AYSP
on 12/18/20, 6:37 AM

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/home/odoo/src/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/home/odoo/src/odoo/odoo/http.py", line 683, in dispatch

    result = self._call_function(**self.params)

  File "/home/odoo/src/odoo/odoo/http.py", line 359, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/home/odoo/src/odoo/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/home/odoo/src/odoo/odoo/http.py", line 347, in checked_call

    result = self.endpoint(*a, **kw)

  File "/home/odoo/src/odoo/odoo/http.py", line 912, in __call__

    return self.method(*args, **kw)

  File "/home/odoo/src/odoo/odoo/http.py", line 531, in response_wrap

    response = f(*args, **kw)

  File "/home/odoo/src/odoo/addons/web/controllers/main.py", line 1381, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "/home/odoo/src/odoo/addons/web/controllers/main.py", line 1369, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/home/odoo/src/odoo/odoo/api.py", line 396, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "/home/odoo/src/odoo/odoo/api.py", line 383, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-72>", line 2, in button_immediate_install

  File "/home/odoo/src/odoo/odoo/addons/base/models/ir_module.py", line 73, in check_and_log

    return method(self, *args, **kwargs)

  File "/home/odoo/src/odoo/odoo/addons/base/models/ir_module.py", line 474, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "/home/odoo/src/odoo/odoo/addons/base/models/ir_module.py", line 592, in _button_immediate_function

    modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "/home/odoo/src/odoo/odoo/modules/registry.py", line 89, in new

    odoo.modules.load_modules(registry._db, force_demo, status, update_module)

  File "/home/odoo/src/odoo/odoo/modules/loading.py", line 453, in load_modules

    processed_modules += load_marked_modules(cr, graph,

  File "/home/odoo/src/odoo/odoo/modules/loading.py", line 346, in load_marked_modules

    loaded, processed = load_module_graph(

  File "/home/odoo/src/odoo/odoo/modules/loading.py", line 198, in load_module_graph

    registry.init_models(cr, model_names, {'module': package.name}, new_install)

  File "/home/odoo/src/odoo/odoo/modules/registry.py", line 399, in init_models

    model._auto_init()

  File "/home/odoo/src/odoo/odoo/models.py", line 2592, in _auto_init

    new = field.update_db(self, columns)

  File "/home/odoo/src/odoo/odoo/fields.py", line 2574, in update_db

    return super(Many2one, self).update_db(model, columns)

  File "/home/odoo/src/odoo/odoo/fields.py", line 810, in update_db

    self.update_db_notnull(model, column)

  File "/home/odoo/src/odoo/odoo/fields.py", line 860, in update_db_notnull

    sql.drop_not_null(model._cr, model._table, self.name)

  File "/home/odoo/src/odoo/odoo/tools/sql.py", line 132, in drop_not_null

    cr.execute('ALTER TABLE "{}" ALTER COLUMN "{}" DROP NOT NULL'.format(tablename, columnname))

  File "<decorator-gen-3>", line 2, in execute

  File "/home/odoo/src/odoo/odoo/sql_db.py", line 101, in check

    return f(self, *args, **kwargs)

  File "/home/odoo/src/odoo/odoo/sql_db.py", line 298, in execute

    res = self._obj.execute(query, params)

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/home/odoo/src/odoo/odoo/http.py", line 639, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/home/odoo/src/odoo/odoo/http.py", line 315, in _handle_exception

    raise exception.with_traceback(None) from new_cause

psycopg2.errors.InvalidTableDefinition: column "component_id" is in a primary key


Reply: PL module can not deploy on Community
by
OMNIA SOLUTIONS S.n.c. di Boscolo Matteo & C.
on 11/4/20, 2:55 AM

Please use the github repository for testing the solution

we are working in this days to fix some of the problem that you are reporting

for any halp please send an e-mail to info@omniasolutions.eu


regards



PL module can not deploy on Community
by
mimidoin
on 11/3/20, 5:42 PM

Dear Ominia

I did download this plm module, and it can not set up on the community, there for many other of your pls modules which are belong to this app wound not setted up neither

Thank you for your help: mimidoin@gmail.com

They said mistake so:

Odoo Server Error
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 682, in dispatch
    result = self._call_function(**self.params)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 358, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 346, in checked_call
    result = self.endpoint(*a, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 911, in __call__
    return self.method(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 530, in response_wrap
    response = f(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1712, in run
    result = action.run()
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_actions.py", line 609, in run
    res = runner(run_self, eval_context=eval_context)
  File "/usr/lib/python3/dist-packages/odoo/addons/website/models/ir_actions.py", line 61, in _run_action_code_multi
    res = super(ServerAction, self)._run_action_code_multi(eval_context)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_actions.py", line 488, in _run_action_code_multi
    safe_eval(self.code.strip(), eval_context, mode="exec", nocopy=True)  # nocopy allows to return 'action'
  File "/usr/lib/python3/dist-packages/odoo/tools/safe_eval.py", line 339, in safe_eval
    raise ValueError('%s: "%s" while evaluating\n%r' % (ustr(type(e)), ustr(e), expr))
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 638, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 314, in _handle_exception
    raise exception.with_traceback(None) from new_cause
ValueError: <class 'psycopg2.ProgrammingError'>: "column "component_id" is in a primary key
" while evaluating
'records.button_immediate_install()'